Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-44307

Add require_plugin method to test that a plugin is installed and has a required version

    XMLWordPrintable

Details

    • Improvement
    • Status: Open
    • Minor
    • Resolution: Unresolved
    • 2.5.3
    • BACKEND
    • Other
    • MOODLE_25_STABLE

    Description

      Sometimes it's necessary to patch core to wire plugins into the relevant places.

      It would be useful to have a require_plugin function available to gracefully report errors if the plugin is missing.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              philipl-catalyst Phil Lello
              Adrian Greeve, Jake Dallimore, Mathew May, Mihail Geshoski, Sujith Haridasan
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated: